@import url('https://fonts.googleapis.com/css2?family=Poppins&family=Fira+Code&family=Inter&display=swap');

:root {
  --primary: "Poppins";
  --monospace: "Fira Code";
  --secondary: "Inter";


    --colorHF9MAD8gUG: #00458FFF;
    --colorx-fYnKTUix: #EDF6FFFF;
    --coloraRfT79P6yU: #8FC5FFFF;
    --colortg-BcXPGx3: #001226FF;
    --color4Y9xiunuXf: #328CEDFF;
    --colorl_YztgOgd0: #002B59FF;
    --coloreG1752uXta: #E0EFFFFF;
    --color-9H1nF60Up: #A1CEFFFF;
    --color_3hU63Zqbo: #00060DFF;
    --colorp7s7Rs5cbz: #4699F2FF;
    --colorKtuLe0RPXN: #001C3BFF;
    --colory57wSSLU0b: #B8DAFFFF;
    --colorkq_JXc1jTJ: #57A4F7FF;
    --color4M_OvW10m9: #1C77D9FF;
    --coloru_V2CHAxch: #1167C2FF;
    --colorvz-Tk6cr2T: #CCE5FFFF;
    --colorQkN7WrVndb: #77B7FCFF;
    --coloroq7UIA81fN: #FFFFFFFF;
    --colorGuJOF9W4gc: #00346BFF;
    --colorAO0SdiXJ4D: #0755A8FF;
}

.context-cover {
    width: 200px;
    height: 200px;
    object-fit: cover;
}

.learn-nav-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    height: 100%;
    max-height: 120px;
    border-top: 4px solid var(--colorKtuLe0RPXN); 
border-right: 0px solid #d1cece5e; 
border-bottom: 0px solid #d1cece5e; 
border-left: 0px solid #d1cece5e; 
border-radius: 0px 0px 0px 0px ; 

}

.learn-top-container {
    display: flex;
    flex-direction: column;
    height: 100px;
    width: 100%;
    align-items: center;
    justify-content: center;
}

.learn-progress-bar-container {
    height: 100%;
    width: 60%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.page.learn {
    background-color: var(--colortg-BcXPGx3);
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

h3 {
    font-family: var(--primary);
color: #2c2b2b;
font-size: 20px;
font-weight: 500;
font-style: normal;
line-height: 1px;
letter-spacing: 1px;
text-transform: none;
text-align: left;
text-decoration: none;

}

h2 {
    font-family: var(--primary);
color: #2c2b2b;
font-size: 26px;
font-weight: 600;
font-style: normal;
line-height: 38px;
letter-spacing: 1px;
text-transform: none;
text-align: center;
text-decoration: none;

}

body {
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
}

.column {
    display: flex;
    flex-direction: column;
}

button.small {
    background-color: var(--colorx-fYnKTUix);
    border: 0px solid #d1cece5e;
border-radius: 8px;

    padding-top: 8px;
    padding-right: 16px;
    padding-bottom: 8px;
    padding-left: 16px;
    cursor: pointer;
    font-family: var(--primary);
color: #2c2b2b;
font-size: 12px;
font-weight: 500;
font-style: normal;
line-height: 16px;
letter-spacing: 1px;
text-transform: none;
text-align: center;
text-decoration: none;

    color: var(--colorGuJOF9W4gc);
    transition: background-color 150ms linear 0s, color 200ms linear 0s;
}

button.small:hover {
    background-color: var(--color4Y9xiunuXf);
    color: var(--coloroq7UIA81fN);
}

button.special {
    border-top: 0px solid var(--colorAO0SdiXJ4D); 
border-right: 0px solid var(--colorAO0SdiXJ4D); 
border-bottom: 8px solid var(--colorAO0SdiXJ4D); 
border-left: 0px solid var(--colorAO0SdiXJ4D); 
border-radius: 20px 20px 20px 20px ; 

    height: 60px;
    background-color: var(--coloru_V2CHAxch);
    font-family: var(--secondary);
color: var(--colorx-fYnKTUix);
font-size: 12px;
font-weight: 600;
font-style: normal;
line-height: 1px;
letter-spacing: 1px;
text-transform: none;
text-align: center;
text-decoration: none;

    cursor: pointer;
    min-width: 160px;
    box-shadow: inset 0px 0px 0px 0px #d1cece5e, inset 0px 0px 2px 0px #d1cece5e;
    transition: border 100ms linear 0s, background-color 100ms linear 0s, transform 100ms linear 0s, box-shadow 100ms linear 0s;
}

button.special:active {
    background-color: var(--color4Y9xiunuXf);
    border-top: 0px solid var(--colorAO0SdiXJ4D); 
border-right: 0px solid var(--colorAO0SdiXJ4D); 
border-bottom: 4px solid var(--colorAO0SdiXJ4D); 
border-left: 0px solid var(--colorAO0SdiXJ4D); 
border-radius: 20px 20px 20px 20px ; 

    transform: translateY(8px) ;
    box-shadow: inset 0px 0px 5px 4px var(--color-9H1nF60Up);
}

button.special:hover {
    box-shadow: inset 0px 0px 40px 0px var(--color4Y9xiunuXf);
}

button.special2 {
    height: 36px;
    border-top: 1px solid #d1cece5e; 
border-right: 1px solid #d1cece5e; 
border-bottom: 5px solid var(--color-9H1nF60Up); 
border-left: 0px solid #d1cece5e; 
border-radius: 12px 12px 12px 12px ; 

    background-color: var(--colorvz-Tk6cr2T);
    font-family: var(--secondary);
color: var(--colorl_YztgOgd0);
font-size: 11px;
font-weight: 500;
font-style: normal;
line-height: 1px;
letter-spacing: 1px;
text-transform: none;
text-align: center;
text-decoration: none;

    cursor: pointer;
    width: 100%;
    transition: background-color 200ms linear 0s;
}

button.special2:hover {
    background-color: var(--colorx-fYnKTUix);
}

button.special2:active {
    background-color: var(--coloraRfT79P6yU);
    border-top: 1px solid var(--color4Y9xiunuXf); 
border-right: 1px solid var(--color4Y9xiunuXf); 
border-bottom: 1px solid var(--color4Y9xiunuXf); 
border-left: 1px solid var(--color4Y9xiunuXf); 
border-radius: 12px 12px 12px 12px ; 

    box-shadow: inset 0px 0px 12px 0px var(--coloroq7UIA81fN);
}

.welcome-area {
    display: grid;
    grid-template-columns: 1fr 400px;
    background-color: var(--coloreG1752uXta);
    max-width: 980px;
    height: 60vh;
    box-shadow: 8px 8px 1px 0px var(--colorvz-Tk6cr2T);
    border: 0px solid #d1cece5e;
border-radius: 20px;

    width: 100%;
}

.welcome-page {
    background-color: var(--colorx-fYnKTUix);
    display: flex;
    flex-direction: column;
    height: 100vh;
    align-items: center;
    justify-content: center;
}

.panel-welcome {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 12px;
}

.auth-form-container {
    padding-right: 20px;
    padding-left: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    gap: 8px;
}

input.primary {
    border: 1px solid var(--colorvz-Tk6cr2T);
border-radius: 8px;

    height: 32px;
    padding-left: 8px;
    font-family: var(--secondary);
color: var(--colorHF9MAD8gUG);
font-size: 14px;
font-weight: 500;
font-style: normal;
line-height: 1px;
letter-spacing: 1px;
text-transform: none;
text-align: left;
text-decoration: none;

    transition: border 200ms linear 0s;
}

input.primary:hover {
    border: 1px solid var(--color4M_OvW10m9);
border-radius: 8px;

}

input.primary::placeholder {
    font-family: var(--primary);
color: var(--color-9H1nF60Up);
font-size: 12px;
font-weight: 500;
font-style: normal;
line-height: 1px;
letter-spacing: 1px;
text-transform: none;
text-align: left;
text-decoration: none;

}

input.primary:focus-visible {
    border: 1px solid var(--coloru_V2CHAxch);
border-radius: 8px;

    outline: 0px solid #d1cece5e;
}

input.primary:focus-visible::placeholder {
    color: transparent;
}

.organization-container {
    display: flex;
    flex-direction: row;
}

.branches-container {
    height: 100%;
    display: flex;
    flex-direction: column;
    padding-top: 0px;
    padding-right: 4px;
    padding-bottom: 0px;
    padding-left: 4px;
}

.branch-item {
    background-color: var(--colorx-fYnKTUix);
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-left: 8px;
    border: 1px solid var(--colorvz-Tk6cr2T);
border-radius: 12px;

}

button img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.panel-paths {
    display: flex;
    flex-direction: column;
    overflow-y: auto;
}

button.path-card {
    width: 260px;
    height: 260px;
    border: 0px solid #d1cece5e;
border-radius: 16px;

    overflow: hidden;
    position: relative;
    padding-top: 0px;
    padding-right: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
    cursor: pointer;
    transition: transform 200ms linear 0s;
}

button.path-card:hover {
    transform: scaleX(1.05) scaleY(1.05) ;
}

.page-manage {
    background-color: var(--colorx-fYnKTUix);
    height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.manage-content {
    background-color: var(--coloreG1752uXta);
    width: 80%;
    height: 80%;
    border: 0px solid #d1cece5e;
border-radius: 24px;

    box-shadow: 0px 0px 2px 0px var(--color-9H1nF60Up);
    display: grid;
    grid-template-columns: 2fr 3fr;
}

.panel-branches {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.listof-paths-container {
    padding-top: 12px;
    padding-right: 12px;
    padding-bottom: 12px;
    padding-left: 12px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
    gap: 16px;
}

